prog:
	g++ -E exercise_02_17.cpp -o exercise_02_17.ii
	g++ -S exercise_02_17.ii -o exercise_02_17.s
	g++ -c exercise_02_17.s -o exercise_02_17.o
	g++ exercise_02_17.o -o exercise_02_17
	echo exercise_02_17 > .gitignore
clean:
	rm exercise_02_17.ii exercise_02_17.s exercise_02_17.o exercise_02_17 .gitignore
test:
	./exercise_02_17 	
